using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ExcelToCsvToDbCommon.Gamen
{
    public partial class ColReplaceForm : Form
    {
        public string Mae { get; set; }
        public string Ato { get; set; }

        public ColReplaceForm(string mae, string ato)
        {
            InitializeComponent();

            MaeText.Text = mae;
            AtoText.Text = ato;

            MaeText_TextChanged(null, null);
        }

        private void MaeText_TextChanged(object sender, EventArgs e)
        {
            OkButton.Enabled = !string.IsNullOrEmpty(MaeText.Text);
        }

        private void OkButton_Click(object sender, EventArgs e)
        {
            Mae = MaeText.Text;
            Ato = AtoText.Text;
            DialogResult = DialogResult.OK;
        }
    }
}
